@import '../../../../../assets/styles/variables';

app-top-menu-bar {
  width: 100%;
}

.cs-header {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  &-menu {
    display: flex;
    flex-direction: row;
    min-height: 3.5em;
    padding-top: 5px;

    ul {
      margin: 0 5em 0 5em;
      display: flex;
      flex-wrap: wrap;
      list-style: none;
      padding: 0;
      width: calc(100% - 10em);
    }
    &-item {
      height: 100%;
      display: flex;
      align-items: center;
      color: $baseColor !important;
      margin-right: 1.5em;
      padding: 0 0.5em;
      text-decoration: none !important;

      &:hover {
        color: $primaryColor !important;
        text-decoration: underline !important;
        background-color: $baseColor;
        border-top-left-radius: $borderRadiusXS;
        border-top-right-radius: $borderRadiusXS;
      }
      &-active {
        position: relative;
      }
      &-active:after {
        content: '';
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        background: $baseColor;
        height: 6px;
        border-top-left-radius: $borderRadiusXS;
        border-top-right-radius: $borderRadiusXS;
      }

      &-contact {
        .eui-icon {
          margin-right: 0.1em;
        }
      }

      &-contact:hover {
        text-decoration: none !important;
      }
    }

    .user,
    .contact {
      margin-left: auto;
    }
  }
}

.eui-header {
  height: auto !important;
  padding: var(--eui-s-s) var(--eui-s-4xl) !important;

  .eui-header-right-content {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;

    .eui-user-profile__infos--no-subinfos {
      padding-right: 0;

      h6 {
        margin: 0;
      }
    }

    .eui-user-profile-content .eui-user-profile__infos {
      display: none;
    }

    .eui-avatar-content .eui-avatar-badge {
      display: none !important;
    }
  }
}

.eui-toolbar {
  margin-left: var(--eui-s-4xl);
}

.cdk-overlay-pane {
  background: transparent;
}

.contact-link {
  text-decoration: underline;
}

@media (max-width: $deviceSizeM) {
  .cs-header-top {
    padding: var(--eui-s-s);
  }

  .cs-header-menu ul {
    margin-left: 1.5rem !important;
    margin-right: 1.5rem !important;
    width: auto;

    .user,
    .contact {
      margin-left: 0;
    }
  }
}

@media (max-width: $deviceSizeS) {
  .cs-header-menu ul {
    margin: 0;
    flex-direction: column;
    width: auto;

    li {
      min-height: 35px;
    }

    .user,
    .contact {
      margin-left: 0;
    }
  }
}
